Skip to main content
`Ctrl`+`K`

# TSBasicSymplecticGetType

Get the type of the basic symplectic method

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSBasicSymplecticGetType(TS ts, TSBasicSymplecticType *bsymptype)

Logically Collective

## Input Parameters

- ts - timestepping context

- bsymptype - type of the basic symplectic scheme

## See Also

TS: Scalable ODE and DAE Solvers, `TSBASICSYMPLECTIC`, `TSBasicSymplecticType`, `TSBasicSymplecticSetType()`

## Level

intermediate

## Location

src/ts/impls/symplectic/basicsymplectic/basicsymplectic.c

## Implementations

TSBasicSymplecticGetType_BasicSymplectic() in src/ts/impls/symplectic/basicsymplectic/basicsymplectic.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages